  jQuery(document).ready(function ($) {

    if ( typeof $.fn.owlCarousel !== 'function' ) {
      console.warn('Owl Carousel not found.');
      return;
    }

    // Slider carousel
    $('.test .owl-carousel').owlCarousel({
        margin:20,
        nav: false,
        autoplay : true,
        lazyLoad: true,
        autoplayTimeout: 3000,
        loop: true,
        dots:false,
        responsive: {
        0: {
          items: 1
        },
        600: {
          items: 2
        },
        1000: {
          items: 3
        }
      },
      autoplayHoverPause : true,
      mouseDrag: true
    });
  
    $('.our-classes .owl-carousel').owlCarousel({
        loop: true,
        margin: 24,
        nav: false,
        dots: false,
        autoplay: true,
        responsive: {
            0: {
              items: 1
              },
            768: {
              items: 2
              },
            1024: {
              items: 2
              }
        }
    });
  
    // Mobile nav toggle
    $('.mobile-nav .toggle-button').on( 'click', function() {
      $('.mobile-nav .main-navigation').slideToggle();
    });
  
    $('.mobile-nav-wrap .close ').on( 'click', function() {
      $('.mobile-nav .main-navigation').slideToggle();
  
    });
  
    $('<button class="submenu-toggle"></button>').insertAfter($('.mobile-nav ul .menu-item-has-children > a'));
    $('.mobile-nav ul li .submenu-toggle').on( 'click', function() {
      $(this).next().slideToggle();
      $(this).toggleClass('open');
    });
  
    // Accessible menu
    $("#site-navigation ul li a").on( 'focus', function() {
      $(this).parents("li").addClass("focus");
    }).on( 'blur', function() {
      $(this).parents("li").removeClass("focus");
    });

    // Header search
    jQuery('.search-show').click(function(){
      jQuery('.searchform-inner').css('visibility','visible');
    });

    jQuery('.close').click(function(){
      jQuery('.searchform-inner').css('visibility','hidden');
    });

});

  // Back to top button
  var btn = jQuery('#button');

  jQuery(window).scroll(function() {
    if (jQuery(window).scrollTop() > 300) {
      btn.addClass('show');
    } else {
      btn.removeClass('show');
    }
  });
  btn.on('click', function(e) {
    e.preventDefault();
    jQuery('html, body').animate({scrollTop:0}, '300');
  });

  // Preloader
  window.addEventListener('load', (event) => {
      jQuery(".preloader").delay(1000).fadeOut("slow");
  });

  // Sticky header
  jQuery(window).scroll(function() {
      var data_sticky = jQuery(' .head_bg').attr('data-sticky');

      if (data_sticky == 1) {
        if (jQuery(this).scrollTop() > 1){  
          jQuery('.head_bg').addClass("sticky-head");
        } else {
          jQuery('.head_bg').removeClass("sticky-head");
        }
      }
  });

  function multi_blogger_preloderFunction() {
      setTimeout(function() {           
          document.getElementById("page-top").scrollIntoView();
          
          $('#ctn-preloader').addClass('loaded');  
          // Once the preloader has finished, the scroll appears 
          $('body').removeClass('no-scroll-y');

          if ($('#ctn-preloader').hasClass('loaded')) {
              // It is so that once the preloader is gone, the entire preloader section will removed
              $('#preloader').delay(1000).queue(function() {
                  $(this).remove();
                  
                  // If you want to do something after removing preloader:
                  multi_blogger_afterLoad();
                  
              });
          }
      }, 3000);
  }
  function multi_blogger_afterLoad() {
      // After Load function body!
  }